<template>
  <div align="center">
    <v-simple-table dense v-if="items.length > 0">
      <template v-slot:default>
        <thead>
          <tr>
            <th class="text-left"># รหัสลูกค้า</th>
            <th class="text-left">ชื่อ</th>
            <th class="text-center">อีเมล์</th>
            <th class="text-center">สถานะ</th>
            <th class="text-center">วันที่สมัคร</th>
            <th class="text-center">ตรวจสอบ</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(item, index) in items" :key="index">
            <td class="text-caption">{{ item.accountCode }}</td>
            <td class="text-caption">{{ item | fullName }}</td>
            <td class="text-center text-caption">
              {{ item.email }}
            </td>
            <td class="text-center text-caption">
              <v-chip class="ma-2" :color="item | colorStatus" label outlined>
                {{ item | statusAccount }}
              </v-chip>
            </td>
            <td class="text-center">
              <v-chip
                class="ma-2 text-caption"
                color="indigo darken-3"
                outlined
                pill
              >
                {{ item.createDate | fomatDate }}
                <v-icon right> date_range </v-icon>
              </v-chip>
            </td>
            <td class="text-center">
              <v-icon color="info" @click="showDialog(item)"> pageview </v-icon>
            </td>
          </tr>
        </tbody>
      </template>
    </v-simple-table>
    <h2 v-else v-show="!loading">ไม่มีข้อมูล</h2>
    <DialogDetail
      :dialog="dialog"
      :objPartner="objPartner"
      :close.sync="dialog"
      @update-table="updateTable"
    />
  </div>
</template>

<script>
import DialogDetail from "./DialogDetail";
export default {
  props: ["items", "loading"],
  data() {
    return {
      dialog: false,
      objPartner: {},
    };
  },
  components: {
    DialogDetail,
  },
  methods: {
    updateTable(i){
        if(i)this.$emit("update-table-parent",i)
    },
    showDialog(i) {
      this.dialog = true;
      i.partnerType == "PE"
        ? (i.partnerType = "บุคคล")
        : (i.partnerType = "นิติบุคคล");
      this.objPartner = Object.assign({}, i);
    },
  },
};
</script>

<style>
</style>